Skip to main content
GET
/
v1
/
admin
/
semantic
/
filters
/
backfill
/
{job_id}
Get a semantic filter backfill
curl --request GET \
  --url https://api.withsplendor.com/v1/admin/semantic/filters/backfill/{job_id} \
  --header 'Authorization: Bearer <token>' \
  --header 'x-splendor-tenant-id: <x-splendor-tenant-id>'
{
  "completed_at": "2026-01-15T09:30:00Z",
  "created_at": "2026-01-15T09:30:00Z",
  "dataset_id": "products",
  "error_message": null,
  "job_id": "sfb_01H8Z3",
  "object_count": 1840,
  "source_count": 2,
  "source_id": null,
  "status": "complete",
  "tenant_id": "acme",
  "updated_at": "2026-01-15T09:30:00Z",
  "updated_count": 95000
}

Authorizations

Authorization
string
header
required

API token issued from the Splendor console.

Headers

x-splendor-tenant-id
string
required

Selects the tenant (workspace) the request acts within.

Path Parameters

job_id
string
required

Response

Successful Response

completed_at
string<date-time> | null
required
created_at
string<date-time>
required
dataset_id
string
required
error_message
string | null
required
job_id
string
required
object_count
integer
required
source_count
integer
required
source_id
integer | null
required
status
string
required
tenant_id
string
required
updated_at
string<date-time>
required
updated_count
integer
required